<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_wall_film_mot Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_wall_film_mot Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a7bee03b34d022a5e2dd0796cf4a87e8e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7bee03b34d022a5e2dd0796cf4a87e8e">lpt_wall_film_mot_init</a> (lpt_in, ind_x, ind_y, ind_z, part_neq)</td></tr>
<tr class="separator:a7bee03b34d022a5e2dd0796cf4a87e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2464bb9ef3bacde93e69f8753d79ee3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#ac2464bb9ef3bacde93e69f8753d79ee3">lpt_wall_film_mot_rhs</a> (vdf, dt_solve, vdfdt_inv, dfdt, fp_cell_mid, N, Ugas, U_fp, tau_w, Force, P_imp_loc, M_imp_loc, film_h_loc, film_h_inv, film_vel_vec, mu_g, rhol, mu_L, dx_avg, tmin)</td></tr>
<tr class="separator:ac2464bb9ef3bacde93e69f8753d79ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a277fc1bea546758f893ac2f51f38ce2a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a277fc1bea546758f893ac2f51f38ce2a">lpt_wall_film_mot_monitor_init</a> (sd, lpt_in)</td></tr>
<tr class="memdesc:a277fc1bea546758f893ac2f51f38ce2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes wall film motion monitor variables if applicable.  <a href="#a277fc1bea546758f893ac2f51f38ce2a">More...</a><br /></td></tr>
<tr class="separator:a277fc1bea546758f893ac2f51f38ce2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7e0b7ebc1691c6c38cbc638d5b25079d">lpt_wall_film_mot_monitor_update</a> (sd, lpt_in)</td></tr>
<tr class="memdesc:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="mdescLeft">&#160;</td><td class="mdescRight">updates wall film motion monitor variables  <a href="#a7e0b7ebc1691c6c38cbc638d5b25079d">More...</a><br /></td></tr>
<tr class="separator:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a85dc1334c3e9f13ae62fe8106f5fa005"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">part_motion</a></td></tr>
<tr class="separator:a85dc1334c3e9f13ae62fe8106f5fa005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a135640cd6ebe84c7930ad54e19206a88"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a135640cd6ebe84c7930ad54e19206a88">ix</a></td></tr>
<tr class="separator:a135640cd6ebe84c7930ad54e19206a88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7836c771a738dcc56f8121b992db65ae"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7836c771a738dcc56f8121b992db65ae">iy</a></td></tr>
<tr class="separator:a7836c771a738dcc56f8121b992db65ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b7ed2df1ef5e668d1f367e71894c481"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a3b7ed2df1ef5e668d1f367e71894c481">iz</a></td></tr>
<tr class="separator:a3b7ed2df1ef5e668d1f367e71894c481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe6b2f23c3eaa4d8efd697fe647ab88d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#abe6b2f23c3eaa4d8efd697fe647ab88d">gravity</a></td></tr>
<tr class="separator:abe6b2f23c3eaa4d8efd697fe647ab88d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbd7f2cc27bbb9f4dc3c0a9361ddd532"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#afbd7f2cc27bbb9f4dc3c0a9361ddd532">tiny</a> = 1.0e-40_WP</td></tr>
<tr class="separator:afbd7f2cc27bbb9f4dc3c0a9361ddd532"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9fd9dc9fec55550ea5a56ed7ad8efe6"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#ab9fd9dc9fec55550ea5a56ed7ad8efe6">wf_momentum</a></td></tr>
<tr class="separator:ab9fd9dc9fec55550ea5a56ed7ad8efe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add171106201b01a0dfe9d46935174461"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#add171106201b01a0dfe9d46935174461">film_vel_min_</a></td></tr>
<tr class="separator:add171106201b01a0dfe9d46935174461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b507e08ca008ae8a3c30cc80fd69f8a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a3b507e08ca008ae8a3c30cc80fd69f8a">film_vel_max_</a></td></tr>
<tr class="separator:a3b507e08ca008ae8a3c30cc80fd69f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a7bee03b34d022a5e2dd0796cf4a87e8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bee03b34d022a5e2dd0796cf4a87e8e">&#9670;&nbsp;</a></span>lpt_wall_film_mot_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_wall_film_mot::lpt_wall_film_mot_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>lpt_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ind_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ind_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ind_z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>part_neq</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__wall__film__mot.html#abe6b2f23c3eaa4d8efd697fe647ab88d">gravity</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a135640cd6ebe84c7930ad54e19206a88">ix</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a7836c771a738dcc56f8121b992db65ae">iy</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a3b7ed2df1ef5e668d1f367e71894c481">iz</a>, <a class="el" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f">parser::parser_is_defined()</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">part_motion</a>, and <a class="el" href="namespacelpt__wall__film__mot.html#ab9fd9dc9fec55550ea5a56ed7ad8efe6">wf_momentum</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_cgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_cgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_cgraph" id="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f" title="parser::parser_is_defined" alt="" coords="200,148,368,175"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="416,148,543,175"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="613,5,757,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="608,56,763,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="615,107,756,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="603,173,768,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="591,239,780,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="603,289,767,316"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_icgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_icgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_icgraph" id="namespacelpt__wall__film__mot_a7bee03b34d022a5e2dd0796cf4a87e8e_icgraph">
<area shape="rect" id="node2" href="namespacelpt__wall__film.html#a96f4be54c911934e9ca2c8618d787c7f" title="lpt_wall_film::lpt\l_wall_film_init" alt="" coords="200,165,316,207"/>
<area shape="rect" id="node3" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26" title="initializes the lpt module by reading in the relevant input flags " alt="" coords="364,173,464,199"/>
<area shape="rect" id="node4" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="531,71,655,112"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="518,136,667,177"/>
<area shape="rect" id="node14" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="512,202,673,229"/>
<area shape="rect" id="node17" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="527,253,658,295"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="737,71,870,112"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="946,5,1074,47"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="943,71,1077,112"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1147,13,1209,39"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1144,78,1212,105"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="724,136,883,177"/>
<area shape="rect" id="node12" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="933,136,1087,177"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1135,143,1221,170"/>
<area shape="rect" id="node15" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="721,202,885,229"/>
<area shape="rect" id="node16" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="988,202,1032,229"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="733,253,873,295"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="943,253,1077,295"/>
<area shape="rect" id="node20" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1143,261,1213,287"/>
</map>
</div>

</div>
</div>
<a id="a277fc1bea546758f893ac2f51f38ce2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a277fc1bea546758f893ac2f51f38ce2a">&#9670;&nbsp;</a></span>lpt_wall_film_mot_monitor_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_wall_film_mot::lpt_wall_film_mot_monitor_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>lpt_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes wall film motion monitor variables if applicable. </p>

<p class="reference">References <a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">part_motion</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_a277fc1bea546758f893ac2f51f38ce2a_icgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_a277fc1bea546758f893ac2f51f38ce2a_icgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_a277fc1bea546758f893ac2f51f38ce2a_icgraph" id="namespacelpt__wall__film__mot_a277fc1bea546758f893ac2f51f38ce2a_icgraph">
<area shape="rect" id="node2" href="namespacelpt__wall__film__monitor__m.html#ae26f849c4e61f4816e1dab5a00d8e141" title="lpt_wall_film_monitor\l_m::lpt_wall_film_monitor_init" alt="" coords="251,165,445,207"/>
<area shape="rect" id="node3" href="namespacelpt__wall__film.html#a96f4be54c911934e9ca2c8618d787c7f" title="lpt_wall_film::lpt\l_wall_film_init" alt="" coords="493,165,609,207"/>
<area shape="rect" id="node4" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26" title="initializes the lpt module by reading in the relevant input flags " alt="" coords="657,173,757,199"/>
<area shape="rect" id="node5" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="824,71,948,112"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="811,136,961,177"/>
<area shape="rect" id="node15" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="805,202,967,229"/>
<area shape="rect" id="node18" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="821,253,951,295"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1030,71,1163,112"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1239,5,1367,47"/>
<area shape="rect" id="node9" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1236,71,1371,112"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1440,13,1503,39"/>
<area shape="rect" id="node10" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1437,78,1505,105"/>
<area shape="rect" id="node12" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1017,136,1176,177"/>
<area shape="rect" id="node13" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1227,136,1380,177"/>
<area shape="rect" id="node14" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1428,143,1515,170"/>
<area shape="rect" id="node16" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1015,202,1179,229"/>
<area shape="rect" id="node17" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1281,202,1325,229"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1027,253,1167,295"/>
<area shape="rect" id="node20" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1236,253,1371,295"/>
<area shape="rect" id="node21" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1437,261,1506,287"/>
</map>
</div>

</div>
</div>
<a id="a7e0b7ebc1691c6c38cbc638d5b25079d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e0b7ebc1691c6c38cbc638d5b25079d">&#9670;&nbsp;</a></span>lpt_wall_film_mot_monitor_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_wall_film_mot::lpt_wall_film_mot_monitor_update </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>lpt_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>updates wall film motion monitor variables </p>

<p class="reference">References <a class="el" href="namespacelpt__wall__film__mot.html#a3b507e08ca008ae8a3c30cc80fd69f8a">film_vel_max_</a>, <a class="el" href="namespacelpt__wall__film__mot.html#add171106201b01a0dfe9d46935174461">film_vel_min_</a>, and <a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">part_motion</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_a7e0b7ebc1691c6c38cbc638d5b25079d_icgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_a7e0b7ebc1691c6c38cbc638d5b25079d_icgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_a7e0b7ebc1691c6c38cbc638d5b25079d_icgraph" id="namespacelpt__wall__film__mot_a7e0b7ebc1691c6c38cbc638d5b25079d_icgraph">
<area shape="rect" id="node2" href="namespacelpt__wall__film__monitor__m.html#a4df09a4f5c53c9ddba43346bae136b2c" title="lpt_wall_film_monitor\l_m::lpt_wall_film_monitor\l_update" alt="" coords="227,281,397,337"/>
<area shape="rect" id="node3" href="namespacelpt__wall__film.html#ac8dcac4d097c16718060166cac15910b" title="lpt_wall_film::lpt\l_wall_film_monitor" alt="" coords="445,288,576,329"/>
<area shape="rect" id="node4" href="namespacelpt__m.html#ae62bc7d4269c189095f1d5de492a4842" title="updates the lpt monitor variables each timestep " alt="" coords="624,295,751,322"/>
<area shape="rect" id="node5" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="801,39,960,80"/>
<area shape="rect" id="node8" href="arts__cf__md__simulation_8f90.html#a045f222d3fe1b20f8a61f540ca245df9" title="step_2" alt="" coords="850,375,911,402"/>
<area shape="rect" id="node9" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="814,136,947,177"/>
<area shape="rect" id="node14" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="817,495,945,536"/>
<area shape="rect" id="node18" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="799,325,963,351"/>
<area shape="rect" id="node20" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="811,259,951,300"/>
<area shape="rect" id="node6" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1011,5,1164,47"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1222,13,1309,39"/>
<area shape="rect" id="node10" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1023,136,1151,177"/>
<area shape="rect" id="node12" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1020,71,1155,112"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1234,114,1297,141"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1231,63,1299,90"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1034,561,1141,587"/>
<area shape="rect" id="node16" href="namespacearts__wc__simulation.html#ac20af3942c7b3d8ec4df423627724cd7" title="arts_wc_simulation\l::arts_wc_poststep" alt="" coords="1020,495,1155,536"/>
<area shape="rect" id="node17" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1212,570,1319,597"/>
<area shape="rect" id="node19" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1243,519,1287,546"/>
<area shape="rect" id="node21" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1034,266,1141,293"/>
<area shape="rect" id="node22" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1231,215,1300,242"/>
<area shape="rect" id="node23" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1217,266,1313,293"/>
<area shape="rect" id="node24" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1219,317,1311,343"/>
<area shape="rect" id="node25" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1237,367,1294,394"/>
<area shape="rect" id="node26" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1228,418,1303,445"/>
<area shape="rect" id="node27" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1216,469,1315,495"/>
<area shape="rect" id="node28" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1237,165,1294,191"/>
</map>
</div>

</div>
</div>
<a id="ac2464bb9ef3bacde93e69f8753d79ee3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2464bb9ef3bacde93e69f8753d79ee3">&#9670;&nbsp;</a></span>lpt_wall_film_mot_rhs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_wall_film_mot::lpt_wall_film_mot_rhs </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt_solve</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>vdfdt_inv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>dfdt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>fp_cell_mid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>N</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>Ugas</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(inout)&#160;</td>
          <td class="paramname"><em>U_fp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(inout)&#160;</td>
          <td class="paramname"><em>tau_w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>Force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>P_imp_loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>M_imp_loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>film_h_loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>film_h_inv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>film_vel_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>mu_g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>rhol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>mu_L</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dx_avg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>tmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__wall__film__mot.html#a3b507e08ca008ae8a3c30cc80fd69f8a">film_vel_max_</a>, <a class="el" href="namespacelpt__wall__film__mot.html#add171106201b01a0dfe9d46935174461">film_vel_min_</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a135640cd6ebe84c7930ad54e19206a88">ix</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a7836c771a738dcc56f8121b992db65ae">iy</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a3b7ed2df1ef5e668d1f367e71894c481">iz</a>, <a class="el" href="namespacelpt__utils.html#a10d3f68afc737706af95ee9fa85f68ba">lpt_utils::lpt_normalize_vector()</a>, <a class="el" href="namespacelpt__utils.html#a8f92c3d5f8c43369ba1d3524f65f4076">lpt_utils::lpt_project_vector()</a>, <a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">part_motion</a>, <a class="el" href="namespacelpt__wall__film__mot.html#afbd7f2cc27bbb9f4dc3c0a9361ddd532">tiny</a>, and <a class="el" href="namespacelpt__wall__film__mot.html#ab9fd9dc9fec55550ea5a56ed7ad8efe6">wf_momentum</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_cgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_cgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_cgraph" id="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="221,13,317,39"/>
<area shape="rect" id="node4" href="namespacelpt__utils.html#a10d3f68afc737706af95ee9fa85f68ba" title="lpt_utils::lpt_normalize\l_vector" alt="" coords="384,92,536,133"/>
<area shape="rect" id="node5" href="namespacelpt__utils.html#a8f92c3d5f8c43369ba1d3524f65f4076" title="lpt_utils::lpt_project\l_vector" alt="" coords="201,115,336,156"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="395,5,525,47"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_icgraph.png" border="0" usemap="#namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_icgraph" alt=""/></div>
<map name="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_icgraph" id="namespacelpt__wall__film__mot_ac2464bb9ef3bacde93e69f8753d79ee3_icgraph">
<area shape="rect" id="node2" href="namespacelpt__wall__film.html#a638e9047f664d5737f9b2979f8fc0490" title="lpt_wall_film::lpt\l_wall_film_solver_rhs" alt="" coords="201,253,348,294"/>
<area shape="rect" id="node3" href="namespacelpt__rk__solver.html#a3539cb472293a451844029455d8bf9a8" title="lpt_rk_solver::lpt\l_rk_solver_rhs" alt="" coords="396,253,515,294"/>
<area shape="rect" id="node4" href="namespacelpt__rk__solver.html#aecf3a11bbd68609282760ad77622118e" title="lpt_rk_solver::lpt\l_rk_solver_step" alt="" coords="563,253,681,294"/>
<area shape="rect" id="node5" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="729,260,837,287"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="891,219,1019,261"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="885,285,1025,326"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1087,227,1194,253"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1087,284,1194,311"/>
<area shape="rect" id="node21" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1073,433,1208,474"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1287,5,1331,32"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1278,56,1341,83"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1266,107,1353,133"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1275,157,1344,184"/>
<area shape="rect" id="node14" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1275,208,1343,235"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1261,259,1357,285"/>
<area shape="rect" id="node16" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1263,309,1355,336"/>
<area shape="rect" id="node17" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1281,360,1338,387"/>
<area shape="rect" id="node18" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1272,411,1347,437"/>
<area shape="rect" id="node19" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1260,461,1359,488"/>
<area shape="rect" id="node20" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1281,512,1338,539"/>
<area shape="rect" id="node22" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1256,563,1363,589"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3b507e08ca008ae8a3c30cc80fd69f8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b507e08ca008ae8a3c30cc80fd69f8a">&#9670;&nbsp;</a></span>film_vel_max_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3), public lpt_wall_film_mot::film_vel_max_</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add171106201b01a0dfe9d46935174461"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add171106201b01a0dfe9d46935174461">&#9670;&nbsp;</a></span>film_vel_min_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3), public lpt_wall_film_mot::film_vel_min_</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abe6b2f23c3eaa4d8efd697fe647ab88d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe6b2f23c3eaa4d8efd697fe647ab88d">&#9670;&nbsp;</a></span>gravity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) lpt_wall_film_mot::gravity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a135640cd6ebe84c7930ad54e19206a88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a135640cd6ebe84c7930ad54e19206a88">&#9670;&nbsp;</a></span>ix</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer lpt_wall_film_mot::ix</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7836c771a738dcc56f8121b992db65ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7836c771a738dcc56f8121b992db65ae">&#9670;&nbsp;</a></span>iy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer lpt_wall_film_mot::iy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b7ed2df1ef5e668d1f367e71894c481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b7ed2df1ef5e668d1f367e71894c481">&#9670;&nbsp;</a></span>iz</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer lpt_wall_film_mot::iz</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a85dc1334c3e9f13ae62fe8106f5fa005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85dc1334c3e9f13ae62fe8106f5fa005">&#9670;&nbsp;</a></span>part_motion</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical lpt_wall_film_mot::part_motion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afbd7f2cc27bbb9f4dc3c0a9361ddd532"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbd7f2cc27bbb9f4dc3c0a9361ddd532">&#9670;&nbsp;</a></span>tiny</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), parameter lpt_wall_film_mot::tiny = 1.0e-40_WP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9fd9dc9fec55550ea5a56ed7ad8efe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9fd9dc9fec55550ea5a56ed7ad8efe6">&#9670;&nbsp;</a></span>wf_momentum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical lpt_wall_film_mot::wf_momentum</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
